/**********************************************************************************

	AUTHOR: Erlend Halsteinli
	CREATED: SPRING 2009 @ IET NTNU

	Library performing decoding on GPU with CUDA and GUI with OpenGL.

***********************************************************************************/

#ifndef CUDALIB_H
#define CUDALIB_H

extern "C" void DecodeFrameOnDevice(int hostBufferNumber);
extern "C" void InitGui(unsigned char *hostOutput0[3], unsigned char *hostOutput1[3], int imgWidth, int imgHeight);
extern "C" void StartGuiMainloop();
extern "C" void* AllocateMemDevice(unsigned int numBytes);
extern "C" void* AllocateMemHost(unsigned int numBytes);
extern "C" void MemsetDevice(void* buffer, unsigned int numBytes);
extern "C" void FreeMem(void* data);
extern "C" void Cleanup(void);
extern "C" void PerformanceTest();

#endif